Package wx :: Package lib :: Module pyshell :: Class PyShellWindow

[frames | no frames]

## Type PyShellWindow

        InteractiveInterpreter --+
                                 |
    object --+                   |
             |                   |
        Object --+               |
                 |               |
        EvtHandler --+           |
                     |           |
                Window --+       |
                         |       |
                   Control --+   |
                             |   |
                StyledTextCtrl --+
                                 |
                                PyShellWindow

Method Summary
| `__init__(self, parent, ID, pos, size, style, locals, properties, banner)`
| `GetLocals(self)`
| `GetProperties(self)`
| `OnKey(self, evt)`
| `OnStyle(self, evt)`
| `OnUpdateUI(self, evt)`
| `Prompt(self)`
| `PushLine(self, text)`
| `runsource(self, source)`
| `SetLocals(self, locals)`
| `SetProperties(self, properties)`
| ``showsyntaxerror`(self, filename)` Display the syntax error that just occurred.
| ``showtraceback`(self)` Display the exception that just occurred.
| ``UpdateProperties`(self)` Reset the editor and other settings based on the contents of the current properties dictionary.
| `writeTrace(self, text)`

Property Summary

Instance Method Details

### showsyntaxerror(self, filename=None)

Display the syntax error that just occurred.

This doesn't display a stack trace because there isn't one.

If a filename is given, it is stuffed in the exception instead of what was there before (because Python's parser always uses "<string>" when reading from a string).

The output is written by self.write(), below.

  Overrides:
    `code.InteractiveInterpreter.showsyntaxerror` (inherited documentation)

### showtraceback(self)

Display the exception that just occurred.

We remove the first stack item because it is our own code.

The output is written by self.write(), below.

  Overrides:
    `code.InteractiveInterpreter.showtraceback` (inherited documentation)

### UpdateProperties(self)

Reset the editor and other settings based on the contents of the current properties dictionary.

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:07:31 2007 | http://epydoc.sf.net